#pragma once

#include "CoreMinimal.h"
#include "Perk.h"
#include "Templates/SubclassOf.h"
#include "K39P02.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UK39P02 : public UPerk
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _K39P02StatusEffectClass;

	UPROPERTY(EditAnywhere, EditFixedSize)
	int32 _maxTokenAmount;

public:
	UK39P02();
};

FORCEINLINE uint32 GetTypeHash(const UK39P02) { return 0; }
